Modify

Opened 8 years ago

Closed 6 years ago

Last modified 4 years ago

#7390 closed defect (fixed)

kmod-ipsec include xfrm_ipcomp but INET_IPCOMP is only defined in ipsec4 or ipsec6

Reported by: cshore Owned by: nico
Priority: normal Milestone: Barrier Breaker 14.07
Component: kernel Version: Trunk
Keywords: Cc:

Description

Selecting Strongswan4 causes the build to fail due to missing xfrm_ipcomp.ko.

This is because kmod-ipsec tries to build, and include in the package, xfrm_ipcomp, however CONFIG_INET_IPCOMP is defined in kmod-ipsec4 or kmod-ipsec6, which is not selected by a dependency on kmod-ipsec (and so xfrm_ipcomp is not built). This means that anything that depends on ipsec but neither of ipsec4 and ipsec6 will fail to create the .ipkg because xfrm_ipcomp.ko will be missing, unless the user selects ipsec4 or ipsec6 manually.

Attachments (0)

Change History (2)

comment:1 Changed 6 years ago by nico

  • Resolution set to fixed
  • Status changed from new to closed

Fixed in [22402], thanks!

comment:2 Changed 4 years ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.